function sum=F7X(x)
       %%Brown function
       m=length(x);
        sum8=0;
        for i=1:m-1
            sum8=sum8+(((x(i)*x(i))^(x(i)*x(i)+1))+((x(i+1)*x(i+1))^(x(i)*x(i)+1)));
        end
        sum=sum8;
endfunction